%define module gnbd
%define version 2.6.10
%define pre 0
%define mdkrelease 3mdk
%define release %{mdkrelease}

Summary: 	The kernel module for GFS's Network Block Device
Name:		dkms-%{module}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{module}-kernel-%{version}-%pre.tar.bz2
Patch0: 	configure_kernel.patch
License: 	GPL
Group: 		System/Kernel and Hardware
Url: 		http://sources.redhat.com/cluster/ 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: 	kernel-source sudo sharutils
Requires: 	dkms, drakxtools >= 9.2-8mdk

%description -n %{name}
The kernel module for GFS's Network Block Device

%package -n %module-devel
Summary: Kernel headers are used by various cluster packages
Group: System/Kernel and Hardware

%description -n %module-devel
The gnbd kernel headers are used by various cluster packages

%prep
%setup -n %{module}-kernel-%{version}-%pre
%patch -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/cluster
cd $RPM_BUILD_DIR/%{module}-kernel-%{version}-%pre
# fix build for dkms
mkdir -p linux
mv -v src/*.h linux/
cp -v src/*.c .
./configure --incdir=%{_includedir} --kernel_src=/usr/src/linux
cp -v src/Makefile .
perl -pi -e "s|include .*|include /var/lib/dkms/%module/%version/build/make/defines.mk|" Makefile 

cp -avf linux/gnbd.h $RPM_BUILD_ROOT/%{_includedir}/cluster/

# driver source
mkdir -p $RPM_BUILD_ROOT/%{_usr}/src/%{module}-%{version}
cp -r * $RPM_BUILD_ROOT/%{_usr}/src/%{module}-%{version}
cat > $RPM_BUILD_ROOT/%{_usr}/src/%{module}-%{version}/dkms.conf <<EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}

DEST_MODULE_LOCATION[0]=/kernel/drivers/block/gnbd
BUILT_MODULE_NAME[0]=gnbd

AUTOINSTALL=yes
EOF

%post -n dkms-%{module}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %module -v %version
/usr/sbin/dkms --rpm_safe_upgrade build -m %module -v %version
/usr/sbin/dkms --rpm_safe_upgrade install -m %module -v %version

%preun -n dkms-%{module}
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %name -v %version --all

%clean
rm -rf $RPM_BUILD_DIR/%{module}-%{version}
rm -rf $RPM_BUILD_ROOT

%files -n dkms-%{module}
%defattr(-,root,root)
%dir %{_usr}/src/%{module}-%{version}
%{_usr}/src/%{module}-%{version}/*

%files -n %{module}-devel
%defattr(-,root,root)
%{_includedir}/cluster/gnbd.h

%changelog
* Wed May 11 2005 Antoine Ginies <aginies@mandriva.com> 2.6.10-3mdk
- dkms release

* Mon Apr 11 2005 <guibo@node21.guibland.com> 2.6.10-2mdk
- fix requires

* Mon Apr 11 2005 Antoine Ginies <aginies@mandriva.com> 2.6.10-1mdk
- first release
